Skip to content

ProspectAnalysisAggregation

Prospect analysis aggregation management.

Get prospect analysis aggregate report by prospect analysis ID

Request

Gets prospect analysis aggregate report by prospect analysis ID. The report contains chance of success and resource volumes for the prospect analysis, the enrolled segment level risks and resource volumes, as well as information about associated folders, polygon, and entitlement (block/license).

Security
bearer and appkey
Path
idinteger, (int32)required

Prospect analysis ID

Headers
slb-contract-idstring^[a-zA-Z0-9_-]+$required

Delfi Contract ID

Example:My-contract-ID
curl -i -X GET \
  'https://eu-api.delfi.slb.com/spar/assessments/v1/prospectanalysisaggregation/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-contract-id: My-contract-ID'

Responses

OK

Body
idinteger, (int32)

The ID of the analysis aggregation.

namestring

The name of the analysis aggregation.

modifiedDatestring, (date-time)

The date the analysis aggregation was last modified.

modifiedUserNamestring

The user name of the person who last modified the analysis aggregation.

modifiedRealNamestring

The real name of the user who most recently modified the analysis aggregation.

createdDatestring, (date-time)

The date the analysis aggregation was created.

createdUserNamestring

The user name of the person creating the analysis aggregation.

createdRealNamestring

The real name of the user who created the analysis aggregation.

prospectIdinteger, (int32)

The prospect folder ID.

prospectNamestring

The prospect name.

versionstring

The version of the prospect analysis aggregation. Permitted values are approved (A), historic (H), working (W) and test (T).

useHcPhaseRiskingboolean

True if at least one enrolled analysis uses hydrocarbon phase risking.

A data transfer object (DTO) representing input settings for aggregating analyses.

A data transfer object (DTO) representing prospect analysis aggregation.

propertiesobject

The properties of the prospect analysis aggregation.

folderDetailsobject(AggregatedFolderParentsDto)

A data transfer object (DTO) representing the collection of parent basin and play folders of an aggregated folder.

crsIdinteger or null, (int32)

The coordinate reference system ID (EPSG number, like: 4326).

innerRingsArray of strings

The list of holes in the polygon representing this prospect (optional).

outerRingstring

The outer ring of the polygon representing this prospect. If there is a polygon data, this has to be filled.

entitlementsArray of objects(EnrolledSegmentAnalysisEntitlementDto)

The entitlements of the enrolled analyses.

risksArray of items

The risks of the enrolled analyses.

Response
{
  "id": 0,
  "name": "string",
  "modifiedDate": "2019-08-24T14:15:22Z",
  "modifiedUserName": "string",
  "modifiedRealName": "string",
  "createdDate": "2019-08-24T14:15:22Z",
  "createdUserName": "string",
  "createdRealName": "string",
  "prospectId": 0,
  "prospectName": "string",
  "version": "string",
  "useHcPhaseRisking": true,
  "input": {
    "resourceLimits": {
      "useScreeningThreshold": true,
      "hcType": "string",
      "volume": 0.1
    }
  },
  "analysisResult": {
    "successDiscovery": 0.1,
    "aboveScreeningThreshold": 0.1,
    "wellPath": 0.1,
    "results": {
      "property1": {
        "mean": 0.1,
        "probabilityValues": {
          "property1": null,
          "property2": null
        }
      },
      "property2": {
        "mean": 0.1,
        "probabilityValues": {
          "property1": null,
          "property2": null
        }
      }
    },
    "oilOnly": 0.1,
    "gasOnly": 0.1,
    "oilAndGas": 0.1,
    "dfiRiskSummaries": [
      {
        "enrolledAnalysisId": 0,
        "initial": 0.1,
        "standAloneWithDFI": 0.1,
        "inProspectWithDFI": 0.1
      }
    ]
  },
  "properties": {
    "property1": {
      "label": "string",
      "value": "string",
      "propertyType": "Text"
    },
    "property2": {
      "label": "string",
      "value": "string",
      "propertyType": "Text"
    }
  },
  "folderDetails": {
    "basins": [
      {
        "id": 0,
        "name": "string"
      }
    ],
    "plays": [
      {
        "id": 0,
        "name": "string"
      }
    ]
  },
  "crsId": 0,
  "innerRings": [
    "string"
  ],
  "outerRing": "string",
  "entitlements": [
    {
      "licenseId": 0,
      "label": "string",
      "segmentId": 0,
      "segmentName": "string",
      "licenseVersion": 0,
      "block": "string",
      "wiShare": 0.1,
      "netShare": 0.1,
      "useOilEquivalentsCoverage": true,
      "useMultipleFactor": true,
      "oilEquivalentsSingleFactor": 0.1,
      "analysisId": 0,
      "analysisName": "string",
      "analysisType": "string"
    }
  ],
  "risks": [
    [
      {
        "identifier": "string",
        "probability": 0.1,
        "name": "string",
        "justification": "string",
        "type": "string",
        "category": "string",
        "segmentId": 0,
        "segmentName": "string"
      }
    ]
  ]
}